# typeface.py
# By Chris Proctor and _________

# Contains one function for each letter in the English alphabet. 
# Each function should draw its letter at a scale of `unit`, and then 
# return back to the same position and heading where it started. 

# Note: The `sqrt` function from math may be helpful--if you want to 
# move the turtle along the diagonal of a square with side length x, 
# the turtle should move a distance of sqrt(x)

from turtle import *
from math import sqrt
def fly(distance):
    penup()
    forward(distance)
    pendown()

def draw_letter_a(unit):
    pass

def draw_letter_b(unit):
    pass

def draw_letter_c(unit):
    pass

def draw_letter_d(unit):
    forward(unit*6)
    left(45)
    forward(unit*sqrt(8))
    left(45)
    forward(unit*4)
    left(45)
    forward(unit*sqrt(8))
    left(45)
    forward(unit*6)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit)
    right(90)
    forward(unit*4)
    left(90)
    fly(unit*2)
    forward(unit*2)
    left(45)
    forward(unit*sqrt(2))
    left(45)
    forward(unit*2)
    left(45)
    forward(unit*sqrt(2))
    left(45)
    forward(unit*2)
    left(90)
    forward(unit*4)
    right(90)
    fly(unit*2)
    forward(unit)
    left(90)
    forward(unit*2)
    left(90)
    

def draw_letter_e(unit):
    pass

def draw_letter_f(unit):
    pass

def draw_letter_g(unit):
    pass

def draw_letter_h(unit):
    pass

def draw_letter_i(unit):
    pass

def draw_letter_j(unit):
    pass

def draw_letter_k(unit):
    pass

def draw_letter_l(unit):
    forward(unit*8)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*.5)
    right(90)
    forward(unit*3.5)
    right(90)
    forward(unit*4.5)
    right(90)
    forward(unit*.5)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*3)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*.5)
    right(90)
    forward(unit*4.5)
    right(90)
    forward(unit*.5)
    left(90)
    forward(unit*1.5)
    left(90)


def draw_letter_m(unit):
    pass

def draw_letter_n(unit):
    pass

def draw_letter_o(unit):
    pass

def draw_letter_p(unit):
    pass

def draw_letter_q(unit):
    pass

def draw_letter_r(unit):
    pass

def draw_letter_s(unit):
    pass

def draw_letter_t(unit):
    pass

def draw_letter_u(unit):
    fly(unit*2)
    forward(unit*4)
    left(59.0362434679)
    forward(unit*sqrt(8.5))
    left(30.9637565321)
    forward(unit*3.5)
    right(90)
    forward(unit*.5)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*3)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*.5)
    right(90)
    forward(unit*3.5)
    right(90)
    forward(unit*3)
    right(90)
    forward(unit*3.5)
    right(90)
    forward(unit*.5)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*3)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*.5)
    right(90)
    forward(unit*3.5)
    left(30.9637565321)
    forward(unit*sqrt(8.5))
    right(120.963756532)
    fly(unit*2)
    right(180)


def draw_letter_v(unit):
    pass

def draw_letter_w(unit):
    pass

def draw_letter_x(unit):
    pass

def draw_letter_y(unit):
    pass

def draw_letter_z(unit):
    pass